FAIL: setUpClass (tempest.api.compute.servers.test_server_rescue.ServerRescueTestXML Unauthorized)

Bug #1217734 reported by Attila Fazekas on 2013-08-28
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Unassigned
python-cinderclient
Undecided
Unassigned
python-keystoneclient
High
Unassigned
tempest
Undecided
Unassigned

Bug Description

http://logs.openstack.org/44/43444/4/check/gate-grenade-devstack-vm/4f78566/console.html

2013-08-28 06:32:58.510 | ======================================================================
2013-08-28 06:32:58.511 | FAIL: setUpClass (tempest.api.compute.servers.test_server_rescue.ServerRescueTestXML)
2013-08-28 06:32:58.511 | setUpClass (tempest.api.compute.servers.test_server_rescue.ServerRescueTestXML)
2013-08-28 06:32:58.511 | ----------------------------------------------------------------------
2013-08-28 06:32:58.512 | _StringException: Traceback (most recent call last):
2013-08-28 06:32:58.512 | File "tempest/api/compute/servers/test_server_rescue.py", line 52, in setUpClass
2013-08-28 06:32:58.512 | 'test_attach')
2013-08-28 06:32:58.512 | File "tempest/services/compute/xml/volumes_extensions_client.py", line 114, in create_volume
2013-08-28 06:32:58.513 | self.headers)
2013-08-28 06:32:58.513 | File "tempest/common/rest_client.py", line 260, in post
2013-08-28 06:32:58.513 | return self.request('POST', url, headers, body)
2013-08-28 06:32:58.514 | File "tempest/common/rest_client.py", line 388, in request
2013-08-28 06:32:58.514 | resp, resp_body)
2013-08-28 06:32:58.514 | File "tempest/common/rest_client.py", line 430, in _error_checker
2013-08-28 06:32:58.515 | raise exceptions.Unauthorized()
2013-08-28 06:32:58.515 | Unauthorized: Unauthorized

http://logs.openstack.org/23/43723/4/gate/gate-tempest-devstack-vm-full/3fefc90/console.html

The real happening time is close to:
2013-08-28 06:24:24.882 | setUpClass (tempest.api.compute.servers.test_server_rescue.ServerRescueTestXML)

Joe Gordon (jogo) wrote :

logstash query: @message:"Unauthorized: Unauthorized (HTTP 401)" AND @message:"cinderclient" AND @fields.build_status:"FAILURE"

Sean Dague (sdague) wrote :

so this actually looks like an issue in cinder validating the keystone token http://logs.openstack.org/23/43723/4/gate/gate-tempest-devstack-vm-full/3fefc90/logs/screen-c-api.txt.gz?level=TRACE#_2013-08-28_06_24_24_814 which Attila linked above.

Sean Dague (sdague) wrote :

@message:"CalledProcessError: Command 'openssl' returned non-zero exit status" would be better and more narrow

Sean Dague (sdague) wrote :

I actually think this is really a keystoneclient bug in handling token verify

Dolph Mathews (dolph) on 2013-09-28
Changed in python-keystoneclient:
importance: Undecided → High
Dolph Mathews (dolph) wrote :

It's difficult to diagnose the underlying problem with openssl due to bug 1112784

Matt Riedemann (mriedem) on 2013-09-28
tags: added: testing
Dolph Mathews (dolph) on 2013-10-01
Changed in python-keystoneclient:
milestone: none → 0.3.3
Dirk Mueller (dmllr) wrote :

If this is python 2.6, there is a significant chance that this is related to bug 1235252

Dolph Mathews (dolph) on 2013-10-09
Changed in python-keystoneclient:
milestone: 0.3.3 → none
Attila Fazekas (afazekas) wrote :

@message:"Unauthorized: Unauthorized (HTTP 401)" AND @message:"cinderclient" AND @fields.build_status:"FAILURE"

The above log-stash query at moment does not gives back any result, is this issue fixed ?

Changed in nova:
status: New → Incomplete
Changed in tempest:
status: New → Incomplete
Changed in python-keystoneclient:
status: New → Incomplete
Changed in python-cinderclient:
status: New → Incomplete
Sean Dague (sdague) wrote :

if you can't find a gate race in logstash, I'm calling it fixed

Changed in nova:
status: Incomplete → Fix Released
Changed in python-keystoneclient:
status: Incomplete → Fix Released
Changed in tempest:
status: Incomplete → Fix Released
Changed in python-cinderclient:
status: Incomplete → Fix Released
Lianhao Lu (lianhao-lu) wrote :

I'm seeing this again http://logs.openstack.org/91/63291/1/gate/gate-tempest-dsvm-full/b7744bb/ , though it failed at tempest.api.compute.servers.test_server_rescue.ServerRescueTestJSON

Jia Ming Zhang (jmzhang) wrote :

Also seeing it at tempest.api.compute.servers.test_server_rescure.ServerRescureTestJSON at: http://logs.openstack.org/39/65039/3/check/check-tempest-dsvm-full/c5757e5/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers